Bootstrap 5.2

Relax and enjoy The Lounge. For all Non-Joomla! topics or ones that don't fit anywhere else. Normal forum rules apply.
Post Reply
User avatar
JurajB
Joomla! Guru
Joomla! Guru
Posts: 537
Joined: Fri Oct 02, 2015 3:28 pm

Bootstrap 5.2

Post by JurajB » Sat Aug 13, 2022 2:07 pm

Hello!
Will be Bootstrap 5.2 included in Joomla! 4.2?
Thanks!

SharkyKZ
Joomla! Hero
Joomla! Hero
Posts: 2311
Joined: Fri Jul 05, 2013 10:35 am
Location: Parts Unknown

Re: Bootstrap 5.2

Post by SharkyKZ » Sat Aug 13, 2022 3:59 pm

No.

User avatar
sozzled
Joomla! Master
Joomla! Master
Posts: 12605
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: Bootstrap 5.2

Post by sozzled » Sat Aug 13, 2022 8:46 pm

Good answer, @SharkyKZ.

The OP has a history of begging this forum to answer a never-ending steam of questions about which "versions" of Bootstrap (and other things) will (or might) be included in future versions of J!. There's nothing wrong with asking these questions but I don't think most people really care which version of whatever-floats-your-boat in used in J! as long as the website works and it's maintainable.

I don't care much if J! x.y uses Bootstrap a.b or might use that version in future; I don't care much if J! x.y a specific Javascript library or not or, for that matter, if it relies on a minimum variant of CSS or XHTML as long as I can install that version (if I choose to install it) or not. I really don't care if J! uses the latest "technology" or something that is being talked about in far-flung distant quarters of the 'net ... as long as I can create a website without too much agony.

But—and this is relevant to the discussion—I recently read this very good article by Dimitris Grammatikogiannis that discusses so-called "missed opportunities" in designing J! 4.x. The article concludes with
Bootstrap will never be a hard dependency of the CMS ... [and] Joomla will stay a minor version of Bootstrap behind ... for [at least] six (6!) months.
I look at the question, "Will be Bootstrap 5.2 included in Joomla! 4.2?" and I have to say, "Who cares?" It will not matter to most people if J! 4.2 uses (or does not use) Bootstrap 5.2; it doesn't seem to matter to the J! development team if J! 4.2 uses the "latest" version of Bootstrap. It hasn't mattered in the past ten years or more so why should it be important now? Further, J! 4.2 is already slated as having a limited life-span with discussions about J! 4.3 and J! 5.x taking place so these discussions about whatever is "the latest" only last a few weeks before those discussions are already outdated. :pop
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?”
Walking the talk: https://j4xdemo.enduring.com.au
:)


Post Reply

Return to “The Lounge”